Module java.desktop
Package javax.swing.event

## Class ChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.ChangeEvent

- All Implemented Interfaces:
    `Serializable`

      public class ChangeEvent
      extends EventObject

  ChangeEvent is used to notify interested parties that state has changed in the event source.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChangeEvent​(Object source)` | Constructs a ChangeEvent object.

  - ### Method Summary

    - ### Methods declared in class java.util.EventObject

      `getSource, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeEvent

          public ChangeEvent​(Object source)

      Constructs a ChangeEvent object.
      Parameters:
        `source` - the Object that is the source of the event (typically `this`)